package com.xmomen.module.wx.model.requestModel.message;


import java.io.Serializable;

/**
 * 地理位置消息
 */
public class RequestMessageLocation extends RequestMessageBase implements Serializable {

    /**
     * 地理位置维度
     */
    private double Location_X;

    /**
     * 地理位置经度
     */
    private double Location_Y;

    /**
     * 地图缩放大小
     */
    private int Scale;

    /**
     * 地理位置信息
     */
    private String Label;

    // 获取X坐标
    public double getLocation_X() {
        return Location_X;
    }

    // 设置X坐标
    public void setLocation_X(double location_X) {
        Location_X = location_X;
    }

    // 获取Y坐标
    public double getLocation_Y() {
        return Location_Y;
    }

    // 设置Y坐标
    public void setLocation_Y(double location_Y) {
        Location_Y = location_Y;
    }

    // 获取缩放比例
    public int getScale() {
        return Scale;
    }

    // 设置缩放比例
    public void setScale(int scale) {
        Scale = scale;
    }

    // 获取标签
    public String getLabel() {
        return Label;
    }

    // 设置标签
    public void setLabel(String label) {
        Label = label;
    }
}
